#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "K38P01.generated.h"

class AKiller;

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class UK38P01 : public UPerk
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	float _lungeAttackAddDurationMultiplier;

	UPROPERTY(EditAnywhere)
	float _activationDuration;

	UPROPERTY(EditAnywhere)
	float _cooldownDuration;

protected:
	UFUNCTION(BlueprintCallable, NetMulticast, Reliable)
	void Multicast_OnK38P01Landing(AKiller* player);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnStaggeringLanding(AKiller* killer);

public:
	UK38P01();
};

FORCEINLINE uint32 GetTypeHash(const UK38P01) { return 0; }
